Bildirim işleyicileri
GET https://tistos.com/api/notification-handlers/
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parametreler | Ayrıntılar | Açıklama |
|---|---|---|
| search | Opsiyonel Dize | Arama dizesi. |
| search_by | Opsiyonel Dize | Hangi alanda arama yapıyorsunuz. İzin verilen değerler: name. |
| is_enabled | Opsiyonel Boolean | |
| type | Opsiyonel Dize | Hangi alanda arama yapıyorsunuz. İzin verilen değerler: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat. |
| datetime_field | Opsiyonel Dize | İzin verilen değerler: datetime, last_datetime |
| datetime_start | Opsiyonel Dize | Sonuçları bu tarih ve saatten itibaren filtreleyin. Format Y-m-d H:i:s. |
| datetime_end | Opsiyonel Dize | Sonuçları bu tarih ve saate kadar filtreleyin. Format Y-m-d H:i:s. |
| order_by | Opsiyonel Dize | Sonuçları hangi alana göre sıralamak istersiniz. İzin verilen değerler: notification_handler_id, datetime, last_datetime, name. |
| order_type | Opsiyonel Dize | Sonuçların sıralanması. İzin verilen değerler: ASC artan sıralama için ve DESC azalan sıralama için. |
| search | Opsiyonel Dize | Arama dizesi. |
| search_by | Opsiyonel Dize | Hangi alanda arama yapıyorsunuz. İzin verilen değerler: name. |
| is_enabled | Opsiyonel Boolean | |
| type | Opsiyonel Dize | Hangi alanda arama yapıyorsunuz. İzin verilen değerler: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat. |
| datetime_field | Opsiyonel Dize | İzin verilen değerler: datetime, last_datetime |
| datetime_start | Opsiyonel Dize | Sonuçları bu tarih ve saatten itibaren filtreleyin. Format Y-m-d H:i:s. |
| datetime_end | Opsiyonel Dize | Sonuçları bu tarih ve saate kadar filtreleyin. Format Y-m-d H:i:s. |
| order_by | Opsiyonel Dize | Sonuçları hangi alana göre sıralamak istersiniz. İzin verilen değerler: notification_handler_id, datetime, last_datetime, name. |
| order_type | Opsiyonel Dize | Sonuçların sıralanması. İzin verilen değerler: ASC artan sıralama için ve DESC azalan sıralama için. |
| page | Opsiyonel Tam sayı | Sonuç almak istediğiniz sayfa numarası. Varsayılan 1'dir. |
| results_per_page | Opsiyonel Tam sayı | Sayfa başına kaç sonuç istediğiniz. İzin verilen değerler: 10, 25, 50, 100, 250, 500, 1000. Varsayılan olarak 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 11:38:36",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/notification-handlers?page=1",
"last": "https://tistos.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/notification-handlers?page=1"
}
}
GET https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 11:38:36",
}
}
POST https://tistos.com/api/notification-handlers
| Parametreler | Ayrıntılar | Açıklama |
|---|---|---|
| name | Gerekli Dize | - |
| type | Gerekli Dize | İzin verilen değerler: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| Opsiyonel Dize | Ne zaman mevcut: type = email E-posta | |
| webhook | Opsiyonel Dize | Ne zaman mevcut: type = webhook Webhook URL |
| slack | Opsiyonel Dize | Ne zaman mevcut: type = slack Slack webhook URL |
| discord | Opsiyonel Dize | Ne zaman mevcut: type = discord Discord webhook URL |
| telegram | Opsiyonel Dize | Ne zaman mevcut: type = telegram Telegram API belirteci |
| telegram_chat_id | Opsiyonel Dize | Ne zaman mevcut: type = telegram Telegram Sohbet Kimliği |
| microsoft_teams | Opsiyonel Dize | Ne zaman mevcut: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | Opsiyonel Dize | Ne zaman mevcut: type = google_chat Google Chat webhook URL |
| x_consumer_key | Opsiyonel Dize | Ne zaman mevcut: type = x Telegram API belirteci |
| x_consumer_secret | Opsiyonel Dize | Ne zaman mevcut: type = x Telegram API belirteci |
| x_access_token | Opsiyonel Dize | Ne zaman mevcut: type = x Telegram API belirteci |
| x_access_token_secret | Opsiyonel Dize | Ne zaman mevcut: type = x Telegram API belirteci |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/notification-handlers/{notification_handler_id}
| Parametreler | Ayrıntılar | Açıklama |
|---|---|---|
| name | Opsiyonel Dize | - |
| type | Opsiyonel Dize | İzin verilen değerler: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| Opsiyonel Dize | Ne zaman mevcut: type = email E-posta | |
| webhook | Opsiyonel Dize | Ne zaman mevcut: type = webhook Webhook URL |
| slack | Opsiyonel Dize | Ne zaman mevcut: type = slack Slack webhook URL |
| discord | Opsiyonel Dize | Ne zaman mevcut: type = discord Discord webhook URL |
| telegram | Opsiyonel Dize | Ne zaman mevcut: type = telegram Telegram API belirteci |
| telegram_chat_id | Opsiyonel Dize | Ne zaman mevcut: type = telegram Telegram Sohbet Kimliği |
| microsoft_teams | Opsiyonel Dize | Ne zaman mevcut: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | Opsiyonel Dize | Ne zaman mevcut: type = google_chat Google Chat webhook URL |
| x_consumer_key | Opsiyonel Dize | Ne zaman mevcut: type = x Telegram API belirteci |
| x_consumer_secret | Opsiyonel Dize | Ne zaman mevcut: type = x Telegram API belirteci |
| x_access_token | Opsiyonel Dize | Ne zaman mevcut: type = x Telegram API belirteci |
| x_access_token_secret | Opsiyonel Dize | Ne zaman mevcut: type = x Telegram API belirteci |
| is_enabled | Opsiyonel Boolean | - |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \